Get Currencies

Retrieves a list of currencies available on the system along with their relevant details.
With this endpoint, you can search for specific currencies, paginate results, and sort the data as needed.

Query Params
string

A string representing the term or keywords used to filter the list of currencies,
helping users to narrow down the list based on the their input.

int32
1 to 2147483647
Defaults to 100

An integer that defines the maximum number of currencies (records) returned per page in the response.
For instance, if pageSize is set to 20, the API will return up to 20 currencies in each response.


Note: By default, this value is set to 100.

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets.
For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of locations based on the specified pageSize.


Note: By default, this value is set to 1.

string
enum

A string specifying the field by which to organise the search results.
For instance, "CurrencyName" could be used to sort currencies alphabetically, arranging the results in a more user-friendly order.

Note: By default, this value is set to CurrencyName.

Enum [CurrencyName, CurrencyCode]

Allowed:
string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending."
For example, setting sortDir to "Ascending" while using "CurrencyName" as sortBy would arrange the currencies from A to Z.

Note: By default, this value is set to Ascending.

Enum [Ascending, Descending]

Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
Response
Choose an example:
application/json